import DyteEventEmitter from '../../utils/DyteEventEmitter';
import DyteMap from './DyteMap';
import DyteRemoteRequest from '../DyteRemoteRequest';
export default class DyteRemoteMap<T extends Pick<DyteRemoteRequest, 'id' | keyof DyteEventEmitter> = DyteRemoteRequest> extends DyteMap<T> {
    constructor();
    add(request: T, emitEvent?: boolean): this;
    delete(requestId: string, emitEvent?: boolean, removeListeners?: boolean): boolean;
}
