export declare const roomEvents: {
    getPeerInfo: number;
    updatePeerInfo: number;
    getRoomPeersInfo: number;
    joinRoom: number;
    leaveRoom: number;
    getRoomInfo: number;
    updateRoomInfo: number;
    closeRoom: number;
};
export declare const chatEvents: {
    getMessages: number;
    sendMessageToRoom: number;
    sendMessageToPeers: number;
    editMessage: number;
    deleteMessage: number;
};
export declare const pluginEvents: {
    getPlugins: number;
    addPlugin: number;
    enablePluginForRoom: number;
    disablePluginForPeers: number;
    enablePluginForPeers: number;
    disablePluginForRoom: number;
    removePlugin: number;
    customPluginEventToRoom: number;
    customPluginEventToPeers: number;
    storeInsertKeys: number;
    storeGetKeys: number;
    storeDeleteKeys: number;
    storeDelete: number;
};
