export declare enum SessionEvents {
    NEW_PRODUCER = "NEW_PRODUCER",
    ROOM_NODE_CONNECTED = "ROOM_NODE_CONNECTED",
    ROOM_NODE_DISCONNECTED = "ROOM_NODE_DISCONNECTED",
    ROOM_JOINED = "ROOM_JOINED",
    SELF_ROOM_JOINED = "SELF_ROOM_JOINED",
    LOW_PRODUCER_SCORE = "LOW_PRODUCER_SCORE",
    LOW_CONSUMER_SCORE = "LOW_CONSUMER_SCORE",
    MEDIA_PERMISSION_ERROR = "MEDIA_PERMISSION_ERROR",
    WAITLISTED = "WAIT_LISTED",
    WAITLIST_ACCEPTED = "websocket/waitlist-accepted",
    WAITLIST_REJECTED = "websocket/waitlist-rejected",
    WAITLIST_PEER_ADDED = "websocket/waitlist-peer-added",
    WAITLIST_PEER_REMOVED = "websocket/waitlist-peer-closed",
    MESSAGE = "websocket/message",
    ROOM_MESSAGE = "websocket/room-message",
    DISABLE_AUDIO = "websocket/disable-audio",
    DISABLE_VIDEO = "websocket/disable-video",
    PEER_JOINED = "websocket/peer-joined",
    PEER_CLOSED = "websocket/peer-closed",
    PEER_MUTED = "websocket/peer-muted",
    PEER_UNMUTED = "websocket/peer-unmuted",
    PEER_PINNED = "websocket/pin-peer",
    PEER_UNPINNED = "websocker/unpin-peer",
    MUTE_ALL = "websocket/mute-all",
    MUTE_ALL_VIDEO = "websocket/mute-all-video",
    CONSUMER_CLOSED = "websocket/consumer-closed",
    CONSUMER_PAUSED = "websocket/consumer-paused",
    CONSUMER_RESUMED = "websocket/consumer-resumed",
    PRODUCER_CLOSED = "websocket/producer-closed",
    NEW_CONSUMER = "websocket/new-consumer",
    GET_CHAT_MESSAGES = "websocket/get-chat-messages",
    NEW_CHAT_MESSAGE = "websocket/new-chat-message",
    PIN_CHAT_MESSAGE = "websocket/pin-chat-message",
    UNPIN_CHAT_MESSAGE = "websocket/unpin-chat-message",
    GET_POLLS = "websocket/get-polls",
    UPDATE_POLL = "websocket/update-poll",
    SELECTED_PEERS = "websocket/selected-peers",
    GET_PAGE = "websocket/get-page",
    ACTIVE_SPEAKER = "websocket/active-speaker",
    NO_ACTIVE_SPEAKER = "websocket/no-active-speaker",
    PRODUCER_SCORE = "websocket/producer-score",
    CONSUMER_SCORE = "websocket/consumer-score",
    ENABLE_PLUGIN = "websocket/enable-plugin",
    DISABLE_PLUGIN = "websocket/disable-plugin",
    PLUGIN_EVENT = "websocket/plugin-event",
    PLUGIN_DATA = "websocket/plugin-data",
    PLUGIN_INTERNAL_DATA = "websocket/plugin-internal-data",
    KICKED = "websocket/kicked",
    RECORDING_STARTED = "websocket/recording-started",
    RECORDING_STOPPED = "websocket/recording-stopped"
}
export declare const temp: {};
