/**
 * A typical error object as thrown by the library. Errors might consist
 * of a special code to indicate the type of the error.
 * @module DyteError
 * @typicalname error
 */
export default class DyteError extends Error {
    code: number;
    constructor(message: string);
}
