import RoomNodeClient from '../roomNode/RoomNodeClient';
import DyteParticipants from '../client/DyteParticipants';
import DyteSelf from '../client/DyteSelf';
export declare type consumerAppData = {
    screenShare?: boolean;
    supportsRemoteControl?: boolean;
};
export default class ParticipantController {
    #private;
    readonly participants: DyteParticipants;
    constructor(roomNodeClient: RoomNodeClient, self: DyteSelf);
    private updatePageParticipants;
    private updatePinnedParticipants;
    private updateActiveParticipants;
    private setupEvents;
    private processMedia;
    private processConsumerClosed;
    private processConsumerResumed;
    private processConsumerPaused;
    private processNewConsumer;
}
