/**
 * Singletone that holds the execution context
 */
declare class LocalMediaExecutionContext {
    private static instance;
    private mediaPermissionEvent;
    private constructor();
    static getInstance(): LocalMediaExecutionContext;
    get shouldEmitMediaPermissionEvent(): boolean;
    setEmitMediaPermissionEvent(emit: boolean): void;
}
declare const instance: LocalMediaExecutionContext;
export default instance;
