export declare const VIDEO_CONSTRAINTS: {
    qvga: {
        width: {
            ideal: number;
        };
        height: {
            ideal: number;
        };
    };
    vga: {
        width: {
            ideal: number;
        };
        height: {
            ideal: number;
        };
    };
    hd: {
        width: {
            ideal: number;
        };
        height: {
            ideal: number;
        };
    };
    hd_cropped: {
        width: {
            ideal: number;
        };
        height: {
            ideal: number;
        };
    };
};
export declare const VIDEO_CONSTRAINTS_SCREENSHARE: {
    vga: {
        width: {
            max: number;
        };
        height: {
            max: number;
        };
    };
    hd: {
        width: {
            max: number;
        };
        height: {
            max: number;
        };
    };
    full_hd: {
        width: {
            max: number;
        };
        height: {
            max: number;
        };
    };
};
export declare const PC_PROPRIETARY_CONSTRAINTS: {};
export declare const WEBCAM_SIMULCAST_ENCODINGS: {
    rid: string;
    scalabilityMode: string;
}[];
export declare const WEBCAM_SIMULCAST_ENCODINGS_VGA: {
    rid: string;
    scalabilityMode: string;
}[];
export declare const WEBCAM_KSVC_ENCODINGS: {
    scalabilityMode: string;
}[];
export declare const SCREEN_SHARING_SIMULCAST_ENCODINGS: {
    dtx: boolean;
    maxBitrate: number;
}[];
export declare const SCREEN_SHARING_SVC_ENCODINGS: {
    scalabilityMode: string;
    dtx: boolean;
}[];
export declare const HD_QUALITY_PEERS_LIMIT = 1;
export declare const enum PRODUCERS_TYPE {
    WEBCAM = "webcam",
    MIC = "mic",
    SCREENSHARE_VIDEO = "screenshare_video",
    SCREENSHARE_AUDIO = "screenshare_audio"
}
