export declare enum MediaPermission {
    NOT_REQUESTED = 0,
    ACCEPTED = 1,
    DENIED = 2,
    SYSTEM_DENIED = 3,
    COULD_NOT_START = 4
}
export declare enum MediaErrorName {
    NotAllowedError = "NotAllowedError",
    NotReadableError = "NotReadableError",
    NotFoundError = "NotFoundError",
    AbortError = "AbortError"
}
export declare function resolveMediaPermissionError(errorName: string, errorMessage: string): keyof typeof MediaPermission;
